STIME(2)

NAME
stime - set time

SYNOPSIS
#include <time.h>

int stime(time_t *t);

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

stime(): _SVID_SOURCE

DESCRIPTION
stime() sets the system's idea of the time and date. The time, pointed to by t, is measured in seconds since the Epoch, 1970-01-01 00:00:00 +0000 (UTC). stime() may only be executed by the superuser.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EFAULT
    Error in getting information from user space.

EPERM
    The calling process has insufficient privilege. Under Linux the CAP_SYS_TIME privilege is required.

CONFORMING TO
SVr4.

SEE ALSO
date(1), settimeofday(2), capabilities(7)

COLOPHON
This page is part of release 3.44 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.